#! bin/bash
#nfs information collection shell script periodly

#heart beat info
beat_duration=300
beat_message="[BeatFor5Minutes]"
beats_per_day=288

counts=0
log_file=/var/log/nfs-info.log

rootfs=`df |  awk   "/\\/$/" | awk '{print $1}'`
product_uuid=`blkid -s UUID  | grep "$rootfs" | awk -F '\"' '{print $2}' | awk 'NR==1{print}'`

#if [ -f /sys/class/dmi/id/product_uuid ]; then
#  product_uuid=`cat /sys/class/dmi/id/product_uuid`
#elif [ -f /proc/sys/kernel/uuid ]; then
#  product_uuid=`cat /proc/sys/kernel/uuid`
#else
#  product_uuid=`cat /proc/sys/kernel/random/uuid`
#fi

product_uuid2=`/bin/bash /usr/bin/nfs-info-key.sh`

if [ product_uuid != product_uuid2 ]; then
  echo "write uuid to nfs-info-key.sh"
  echo -n "echo $product_uuid" > /usr/bin/nfs-info-key.sh
  echo $product_uuid 
  echo "write uuid to filebeat.yml"
  sed -i "s/^name.*$/name: $product_uuid/" /etc/filebeat/filebeat.yml
fi


  while true;
do
  echo $beat_message "    " `date -R` >> $log_file

  if [ $counts -eq 0 ]; then
     /bin/bash /usr/bin/nfs-info-collect2.sh
  fi	  
	
  sleep $beat_duration
  counts=`expr $counts + 1`
  #echo "start nfs-info-collect the $counts times"
  counts=`expr $counts % $beats_per_day`

done
